<?php

declare(strict_types=1);
require __DIR__.'/../src/warmup.php';

if ($_SERVER['HTTP_X_REQUESTED_WITH'] ?? '' === 'xmlhttprequest') {
  $response    = ['status' => '', 'message' => '', 'data' => []];
  $orderColumn = 'ger' === $_SESSION['cISOSprache'] ? 'cDeutsch' : 'cEnglisch';
  if ('GET' === $_SERVER['REQUEST_METHOD']) {
    $stmt = $P->getPDO()->prepare("SELECT
      tland.cISO cISO, tland.cDeutsch de, tland.cEnglisch en, tland.nEU inEU
      FROM tsteuerzone
      LEFT JOIN tsteuerzoneland ON tsteuerzone.kSteuerzone = tsteuerzoneland.kSteuerzone
      LEFT JOIN tland ON tsteuerzoneland.cISO = tland.cISO
      WHERE tland.cISO IS NOT NULL AND tland.cISO != :clieferlandiso
      ORDER BY {$orderColumn}");
    $stmt->execute([
      ':clieferlandiso' => $_SESSION['cLieferlandISO']
    ]);
    $response['data']['vatCountries'] = $stmt->fetchAll();

    $response['data']['lang']    = 'ger' === $_SESSION['cISOSprache'] ? 'de' : 'en';
    $response['data']['strings'] = $lang;
    $response['status']          = 'OK';
  }
  if ('POST' === $_SERVER['REQUEST_METHOD']) {
    if (isset($_POST['cSteuerlandISO'])) {
      JTL\Helpers\Tax::setTaxRates($_POST['cSteuerlandISO']);
      $response['status'] = 'OK';
    }
  }
  header('Content-Type: application/json');
  if (isset($_COOKIE['PLUGINDEBUG'])) {
    ob_end_clean();
  }
  exit(json_encode($response, 512 | \JSON_UNESCAPED_UNICODE));
}
